/*LOGO NA VRHU*/
.navbar_logo{
    max-width: 600px;
    height: 110px;
    margin: auto;
    user-select: none;
    pointer-events: none;
}


/*NAVIGACIJSKE CRTICE*/
.navbar_container{
    max-width: 1200px;
    height: 80px;
    margin: auto;
    position: relative;
    transition: 0.4s;
}
.navbar_container_child{
    position: absolute;
    width: 50px;
    height: 42px;
    left: 50%;
    margin-top: 10px;
    margin-left: -25px;
    cursor: pointer;
}
.navbar_dash_1, .navbar_dash_2, .navbar_dash_3{
    width: 50px;
    height: 8px;/*8px*/
    margin: 6px 0px;
    background-color: black;
    transition: 0.4s;
}
.navbar_change_dash .navbar_dash_1{
    transform: translate(0, 14px) rotate(-45deg);
}
.navbar_change_dash .navbar_dash_2{ /*zač navbar_dash_2 ne postoji dok se ne stvori klasa .navbar_change_dash?*/
    opacity: 0;
}
.navbar_change_dash .navbar_dash_3{
    transform: translate(0, -14px) rotate(45deg);
}
.navbar_hover_dash{
    background-color: #e2691e;
}


/*NAVIGACIJSKI IZBORNIK*/
.navbar_menu_container{
    position: relative;
    max-width: 1200px;
    pointer-events: none;
    z-index: -1; /*da ne riva content prema doli*/
    top: 40%;
}
.navbar_menu_container_child{
    width: 100%;
    text-align: center;
    opacity: 0;
    transition: 0.4s;
    transition-delay: 0.5s;
}
.navbar_menu_container_child_change{
    opacity: 1;
}
.navbar_menu_container_child div {
    position: relative;
    width: 25%;
    padding: 15px;
    cursor: pointer;
    text-align: center;
    font-size: 3vw;
    color: black;
    background-color: #77737146;
    border-radius: 5px;
    user-select: none;
    transition: 0.6s;
}
.navbar_menu_container_child div:hover{
    background-color: rgb(226, 105, 30);
    color: white;
    padding-right: 5%;
}
.lb{
    text-decoration: none;
    font-size: 2.5vw;
    color: black;
}
.lb::after{
    content: '\00bb'; /* to predstavlja ovaj(>>) znak */
    position: absolute;
    margin-top: 1.5%;
    text-decoration: none;
    opacity: 0; /*skriva ga ali ga pozicionira*/
    right: 25%; /*vraća se od desna na livo, ali vizualno ko da stoji na mestu zbog paddinga*/
    transition: 0.4s; /*kad ga vraća vidi se samo dio puta*/
}
.navbar_menu_container_child div:hover .lb::after{
    opacity: 1;
    right: 20%;
    text-decoration:none;
}


/*SLIDESHOW*/
.slideshow_container{
    max-width: 1200px;
    max-height: 600px;
    margin: auto;               /*centriranje livo-desno*/
    object-fit: cover;          /*da cropa sliku kako rabi*/
    position: relative;         /*ova pozicija je potrebna jer absolute ne djeluje onda*/
    border-radius: 10px;
    }
.slideshow_shadow{
    box-shadow: 1px 10px 12px 6px rgba(0, 0, 0, 0.2), -1px -5px 12px 6px rgba(0, 0, 0, 0.19);
}
.slideshow_arrow_left, .slideshow_arrow_right{
    cursor: pointer;
    position: absolute;         /*djeluje samo ako je div element podešen na relative*/
    top: 50%;
    width: auto;
    margin-top: -52px;
    padding: 16px 16px 16px 5px;
    color: rgb(207, 214, 169);
    font-weight: bold;
    font-size: 50px;
    transition: 0.27s ease;
    border-radius: 0 6px 6px 0;
    user-select: none;
}
.slideshow_arrow_right{           /*pozicioniranje jedne strelice desno*/
    right: 0;
    border-radius: 6px 0 0 6px;   /*ovaj classa je posli i zato nadvisuje ovu prvo*/
    padding: 16px 5px 16px 16px;
}
.slideshow_arrow_left:hover, .slideshow_arrow_right:hover{
    background-color: rgba(0, 0, 0, 0.5);
    color: #e2691e;
}
.slideshow_hide{
    display: none;
}
.slideshow_fade{
    animation-name: slideshow_animation;
    animation-duration: 1s;
}
@keyframes slideshow_animation{
    from {opacity: .2}
    to {opacity: 1}
}


/*SLIDESHOW DOTS*/
.slideshow_dot{
    cursor: pointer;
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: rgba(119, 115, 113, 0.541);
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.2s ease;
}
.slideshow_dot:hover{
    background-color: #e2691e;
}
.active_dot{
    background-color: #e2691e;
}
#slideshow_dot_container{
    text-align: center;
}

/*OBAVIJESTI*/
.ob_container_static{
    max-width: 1200px;
    margin: auto;
    border-radius:  10px 10px 0 0;
}
.ob_container{
    display: flex;
    height: 200px;
    border-radius:  10px 10px 0 0;
}
.ob_container_child1{
    display: flex;
    width: 15%;
    height: 100%;
    align-items:center;
    justify-content:center;
    font-size: 1.7vw;
    letter-spacing: 3px;
    color: white;
    border-radius:  10px 0px 0 0;
    background-color: rgb(226, 105, 30);
}
.ob_container_child2{
    display: flex;
    width: 85%;
    margin: 0px 0 0px 0;
    flex-direction: column;
    overflow: auto;
    border-radius:  10px 10px 0 0;
}
.obavijest{
    display: flex;
    font-size:1.2vw;
    font-family: Verdana;
    border-radius:  10px 0px 0 0;
}
.datum{
    width:15%;
    text-align: center;
    opacity: 0.7;
}
.tekst{
    width:85%;
}
.akcija{
    color:rgb(226, 105, 30);
}

/*JESTE LI ZNALI & O NAMA*/
.jlz_container_static{
    max-width: 1200px;
    margin: auto;
    border-radius:  10px 10px 0 0;
}
.jlz_container_relative{
    position: relative;
    height: 100px;
    background-color: rgba(0, 128, 0, 0.55);
    background-image: linear-gradient(to top, rgba(0, 128, 0, 0.1), white);
    border-radius:  10px 10px 0 0;
    overflow: hidden;
    transition: 0.4s;
}
.jlz_container_relative-js_hover{
    background-color: rgba(0, 128, 0, 0.1);
}
.jlz_container_relative_child{
    display: flex;
    width: 15%;
    height: 100%;
    text-align: center;
    align-items:center;
    justify-content:center;
    font-size: 1.7vw;
    letter-spacing: 3px;
    color: white;
    border-radius:  10px 0px 0 0;
    background-color: rgba(0, 128, 0, 0.55);
    cursor: pointer;
    transition: 0.4s;
}
.jlz_container_relative_child:hover{
    background-color: rgb(226, 105, 30);
}
.jlz_container_relative_child div{
    user-select: none;
}
.jlz_container_absolute{
    position: absolute;
    width: 70%;
    top: 5%;
    left: 25%;
    border-top: solid 1px black;
    opacity: 0;
    transition: 0.2s;
}
.jlz_container_absolute-js{
    opacity: 1;
}
.jlz_container_absolute span{
    font-size: 1.2vw;
    font-family: Verdana;
    line-height: 2.5;
}


/*BOTTOM*/
.bottom{
    background-color: rgba(210,210,210);
    position: absolute; /*veže se na body*/
    left: 0px; /*rastegnen ga od left do right, width ne vaja jer ostane bele podloge sastrane*/
    right: 0px;
}
.bottom_container{
    max-width: 1200px;
    margin: auto;
    display: flex;
}
.bottom_container_naziv{
    flex: 1; /*jednake veličine*/
    text-align: center;
    font-size: 2em;
}
.bottom_container_naziv  div{
    letter-spacing: 0px;
    text-transform: uppercase;
    text-shadow: -2px -3px rgba(0, 0, 0, 0.900);
    font: 700 2em "Oswald", sans-serif;
    background: url("/Slike_index/animated text fill grey.png") repeat-x;
    -webkit-background-clip: text;
    background-clip: text; /*background samo slova*/
    color: transparent; /*ključno da se vidi kroz slova*/
    animation: anime_naziv 8s linear infinite;
}
@keyframes anime_naziv {
	0% { background-position: 100% 50%; }
	100% { background-position: 0% 50%; }
}
.bottom_container_child{
    display: flex;
    flex: 1; /*jednake veličine*/
    text-align: center;
    align-items: center;
    height: 200px; 
    background-color: rgb(210, 210, 210);
}
.bottom_container_child > div{
    display: flex;
    flex-direction: column;
    flex: 1;
    transition: transform 0.2s;
    font-family: arial;
}
.scale_15:active{
    transform: scale(1.15);
}
#podhum_slova{
    margin-top: initial;
}
.radno_vrijeme {
    max-width: 180px;
    margin: auto;
    border-left: 2px solid black;
    background-color: rgb(180,180,180);
}
.bottom_table td{
    padding-left: 10px;
    text-align: left;
}
#bottom_slika_no_media{
    display: initial;
    margin-top: 4px;
}
#bottom_slika_with_media{
    display: none;
}
.bottom_image{
    max-width: 100%;
    max-height: 200px;
}
.bottom_shadow_left{
    box-shadow: -4px 5px 12px 6px rgba(0, 0, 0, 0.2);
}
.bottom_shadow_right{
    box-shadow: 4px 5px 12px 6px rgba(0, 0, 0, 0.2);
}

/*TRGOVINA I SERVIS PAGE*/
/*GOOGLE MAP*/
#Map-div{
    max-width: 1200px;
    margin: auto;
}

@media only screen and (min-width: 1750px){
.navbar_menu_container_child a::after{
    margin-top: -0.5%;
    right: 10%; /*vraća se od desna na livo, ali vizualno ko da stoji na mestu zbog paddinga*/
}
.navbar_menu_container_child div:hover a::after{
    right: 5%;
}
.navbar_menu_container_child div {
    position: relative;
    width: 25%;
    padding: 15px;
    font-size: 2vw;
}
.navbar_menu_container_child a{
    text-decoration: none;
    font-size: 2vw;
    color: black;
}
.jlz_container_relative_child{
    font-size: 1.5vw;
}
.jlz_container_absolute span{
    font-size: 1vw;
    line-height: 2.5;
}
}
@media only screen and (min-width: 2850px){
.navbar_menu_container_child a::after{
    margin-top: -0.5%;
    right: 10%; /*vraća se od desna na livo, ali vizualno ko da stoji na mestu zbog paddinga*/
}
.navbar_menu_container_child div:hover a::after{
    right: 5%;
}
.navbar_menu_container_child div {
    width: 25%;
    padding: 15px;
    font-size: 40px;
}
.navbar_menu_container_child a{
    font-size: 40px;
}
.jlz_container_relative_child{
    font-size: 30px;
}
.jlz_container_absolute span{
    font-size: 20px;
    line-height: 2.5;
}
}


/*PAŽNJA
.ime, .ime1 //.ime .ime1 //.ime.ime1 sa ova tri su različito selektirana
"@keyframes"            su teški za kontrolirat va javascriptu, koristi tranzition i transform
"vertical-align"        funkcionira samo na inline elementima
"display:flex"          se displeya isto ko block, ali unutar sebe displeya druge blokove kao inline-blok
"display:flex"          najjednostavnije rješenje za vertikalno poravnanje i upravljanje s tekston
"display:flex"          unutarnji div zauzima 100% svoje biti i zato ne prima border propetis
"line-height"           ne funkcionira na postotke!
"float: left"           skrije background pozadinu od parent elementa jer float ne zauzima nikakov prostor (height), svi ostali elementi nalaze se ispod njega, jedino tekst gre oko njega
"<section>"             sličan je ko <div> ali ni isti, recimo <h1> va <section> unutar <section> će bit manji, dok va divu neće... Div treba koristit, section jedio ko kontenjer za div elemente...
"overflow"              funkcionira samo ako je height podešen
"Position"              je stvar child i parent elementa, relative je otac absolut, ako stavimo static, onda će absolut bit povezan sa body s obzirom da nema parenta
"position: absolut"     absolut ne zima prostor kad se koriste propetisi "top" "bottom" itd... relative zima prostor...
"flex-direction:colmun" onda item-align centrira horizontalno, a justifi centrira okomito
"fled-direction:row"    onda item-align centrira vertikalno, a justifi centrira horizontalno
"display: block"        bez obzira dal je width 300, blok će zauzet width se do kraja parent elementa, ali će displejat samo 300px ke su definirane
"display: inline"       widht and height su propetisi ke imaju samo blok elementi i zato su ignorirani kad je "inline" u pitanju, "inline" zame mesta samo koliko su slova ili slika široki, ako se dodjeli inline elementu "position:absolut" onda ga browser interpretira ko blok element i zato displaya širinu i visinu

class name div ne dozvoljava kasnijoj classi da prepravi propetisi
*/